Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » 4DIAC - Framework for Distributed Industrial Automation and Control » Cannot launch BlinkTest application(MGR_ID reports that it is null in FORTE_PC.EMB_RES)
Cannot launch BlinkTest application [message #1798121] Tue, 13 November 2018 03:38 Go to next message
Barry Dowdeswell is currently offline Barry DowdeswellFriend
Messages: 6
Registered: November 2018
Junior Member
Hello,
I am working through the BlinkTest tutorial but I am getting an error whenever I try to deploy the application.

All occurrences of MGR_ID that I can find in the application are set to "localhost:61499" but it reports that the property is null in FORTE_PC.EMB_RES

I noticed that the documentation says that the button is called "Download" but in 4DIAC it shows "Deploy" ? Is that a setting I have missed?

A screen shot of the error is attached. I have circled the MGR_ID property that looks suspicious but I cannot see where to set it.

Thanks in advance for your help. I could not find a similar topic to this on the forum so I apologize if I have missed it somewhere.
Regards,
Barry

[Updated on: Tue, 13 November 2018 03:38]

Report message to a moderator

Re: Cannot launch BlinkTest application [message #1798137 is a reply to message #1798121] Tue, 13 November 2018 08:47 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 866
Registered: January 2014
Senior Member
Hi,

we also identified that our tutorials are a bit outdated. Therefore we started to improve them for the 1.10.0 release (see this Bug [1] for more details). Andrea reworked already some of them. We haven't put them yet on the web-page but they are already part of the 4diac help in the 4diac IDE 1.10.0 prereleases.

As I look on your problem it seems anyhow that there is an issue somewhere else. May I ask which 4diac IDE version you are using?

With 1.10 we also reworked the deployment quite a lot. As 1.10.0 is just arround the corner, I would recommend that you update your IDE to the latest development version. This would not only give you an improved deployment but also the latest docs.

The easyiest way to update would be to add the link http://download.eclipse.org/4diac/nightly/update to the Available update Sites (Menu: Window -> Preferences -> Install/Update -> Available Software Sites). Then you can check and install updates under Help -> Check for updates.

cheers,
Alois


[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=539344
Re: Cannot launch BlinkTest application [message #1798186 is a reply to message #1798137] Tue, 13 November 2018 20:30 Go to previous messageGo to next message
Barry Dowdeswell is currently offline Barry DowdeswellFriend
Messages: 6
Registered: November 2018
Junior Member
Thank you for your help Alois,

I am currently using Version: 1.9.0 Build id: 2018-05-27_1942. I am keen to try out the next Windows build you recommended.

Is that new build also available for Linux yet? Both my PhD supervisor Dr Roopak Sinha and my fellow student here Awais Tanveer have recommended that I spend more time on Linux. Awais is running the Linux 4DIAC/FORTE very successfully here at AUT University.


Re: Cannot launch BlinkTest application [message #1798203 is a reply to message #1798186] Wed, 14 November 2018 07:41 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 866
Registered: January 2014
Senior Member
You are welcome.

Yes all of our releases and milestone builds are also available under Linux. Just have a look under the point Milestones for the upcoming 4diac IDE 1.10.0 on our download page.
Re: Cannot launch BlinkTest application [message #1798276 is a reply to message #1798203] Wed, 14 November 2018 19:53 Go to previous messageGo to next message
Barry Dowdeswell is currently offline Barry DowdeswellFriend
Messages: 6
Registered: November 2018
Junior Member
Thank you Alois,

I was able to install 4DIAC 1.10 RC2 yesterday on an Ubuntu VM fine. I'll work on the BlinkTest application today to see if I can get FORTE going too. Thank you for your help.
Regards,
Barry

[Updated on: Wed, 14 November 2018 19:54]

Report message to a moderator

Re: Cannot launch BlinkTest application [message #1798281 is a reply to message #1798276] Wed, 14 November 2018 20:38 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 866
Registered: January 2014
Senior Member
Barry,

great to hear that. With 1.10.0 RC2 on each start 4diac IDE will check if there are updates available. And inform you with a small pop-up on the bottom left. Andrea is continuously updating the tutorials so you can expect improvements over the next days. Feedback on the tutorials is highly appreciated.

Cheers,
Alois
Re: Cannot launch BlinkTest application [message #1798314 is a reply to message #1798281] Thu, 15 November 2018 08:58 Go to previous messageGo to next message
Barry Dowdeswell is currently offline Barry DowdeswellFriend
Messages: 6
Registered: November 2018
Junior Member
Thank you Alois and Andrea,

We installed 1.10.0 RC2 on Ubuntu and the new BlinkTest tutorial worked perfectly first time when we launched FORTE from inside 4DIAC. Thank you Andrea - that updated tutorial is really clear and easy to follow.
Re: Cannot launch BlinkTest application [message #1798453 is a reply to message #1798314] Mon, 19 November 2018 11:24 Go to previous message
Andrea Zoitl is currently offline Andrea ZoitlFriend
Messages: 1
Registered: July 2018
Junior Member
Hi Barry,
You're welcome! I'm happy to hear that my changes helped you.
Best wishes, Andrea
Previous Topic:Is there any possiable to run FBDK on Frontend with javascript
Next Topic:java.lang.NullPointerException
Goto Forum:
  


Current Time: Wed Aug 21 18:09:33 GMT 2019

Powered by FUDForum. Page generated in 0.02397 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top